Bug 1813662 - Crash in prv_device_chain_end
Summary: Crash in prv_device_chain_end
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dleyna-renderer
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:31653db356627accab20f12b7bf...
: 1822526 1828815 1833716 1833725 1836314 1889909 1893905 1900208 1904595 1911576 1912404 1914885 1916957 1917178 1917629 1919607 1919872 1922634 1941121 1943758 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-15 10:38 UTC by Ovidio
Modified: 2021-03-27 05:31 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (32.40 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: core_backtrace (10.95 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: cpuinfo (2.43 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: dso_list (5.28 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: environ (1.59 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: maps (35.76 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: mountinfo (3.67 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: open_fds (1002 bytes, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2020-03-15 10:38 UTC, Ovidio
no flags Details

Description Ovidio 2020-03-15 10:38:39 UTC
Version-Release number of selected component:
dleyna-renderer-0.6.0-6.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dcom.intel.dleyna\x2drenderer.slice/dbus-:1.2-com.intel.dleyna-renderer@3.service
cmdline:        /usr/libexec/dleyna-renderer-service
crash_function: g_hash_table_hash_to_index
executable:     /usr/libexec/dleyna-renderer-service
journald_cursor: s=be77fa95ffa24e38872cb19f6fa16ef8;i=4edf8;b=a64ad4d384a4495e9a667cdfea83b56d;m=19d885f55a;t=5a0ce43733b61;x=a4c206e42b9c9208
kernel:         5.6.0-0.rc4.git0.1.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_hash_table_hash_to_index at ../glib/ghash.c:477
 #1 g_hash_table_lookup_node at ../glib/ghash.c:477
 #2 g_hash_table_insert_internal at ../glib/ghash.c:1598
 #3 g_hash_table_insert at ../glib/ghash.c:1629
 #4 prv_device_chain_end at upnp.c:84
 #5 prv_free_cb at libdleyna/core/task-processor.c:103
 #6 g_hash_table_remove_all_nodes at ../glib/ghash.c:706
 #8 g_hash_table_unref at ../glib/ghash.c:1461
 #10 dleyna_task_processor_free at libdleyna/core/task-processor.c:136
 #11 prv_context_free at libdleyna/core/main-loop.c:170

Comment 1 Ovidio 2020-03-15 10:38:43 UTC
Created attachment 1670235 [details]
File: backtrace

Comment 2 Ovidio 2020-03-15 10:38:45 UTC
Created attachment 1670236 [details]
File: core_backtrace

Comment 3 Ovidio 2020-03-15 10:38:47 UTC
Created attachment 1670237 [details]
File: cpuinfo

Comment 4 Ovidio 2020-03-15 10:38:48 UTC
Created attachment 1670238 [details]
File: dso_list

Comment 5 Ovidio 2020-03-15 10:38:50 UTC
Created attachment 1670239 [details]
File: environ

Comment 6 Ovidio 2020-03-15 10:38:52 UTC
Created attachment 1670240 [details]
File: limits

Comment 7 Ovidio 2020-03-15 10:38:54 UTC
Created attachment 1670241 [details]
File: maps

Comment 8 Ovidio 2020-03-15 10:38:55 UTC
Created attachment 1670242 [details]
File: mountinfo

Comment 9 Ovidio 2020-03-15 10:38:57 UTC
Created attachment 1670243 [details]
File: open_fds

Comment 10 Ovidio 2020-03-15 10:38:59 UTC
Created attachment 1670244 [details]
File: proc_pid_status

Comment 11 Martin Garton 2020-04-09 09:16:10 UTC
*** Bug 1822526 has been marked as a duplicate of this bug. ***

Comment 12 fred 2020-04-28 12:10:24 UTC
*** Bug 1828815 has been marked as a duplicate of this bug. ***

Comment 13 Luis Rojas 2020-05-09 23:28:39 UTC
*** Bug 1833716 has been marked as a duplicate of this bug. ***

Comment 14 rmcgougan 2020-05-10 02:18:25 UTC
*** Bug 1833725 has been marked as a duplicate of this bug. ***

Comment 15 Francois 2020-05-15 15:30:35 UTC
*** Bug 1836314 has been marked as a duplicate of this bug. ***

Comment 16 Debarshi Ray 2020-12-02 00:37:39 UTC
*** Bug 1900208 has been marked as a duplicate of this bug. ***

Comment 17 Debarshi Ray 2020-12-02 00:47:50 UTC
*** Bug 1893905 has been marked as a duplicate of this bug. ***

Comment 18 Debarshi Ray 2020-12-02 00:47:52 UTC
*** Bug 1215332 has been marked as a duplicate of this bug. ***

Comment 19 Debarshi Ray 2020-12-02 02:01:46 UTC
Weird. This looks very similar to bug 1205574 and that was already fixed.

Comment 20 Pete Thorsen Jr 2020-12-04 21:37:10 UTC
*** Bug 1904595 has been marked as a duplicate of this bug. ***

Comment 21 Debarshi Ray 2020-12-04 21:48:28 UTC
*** Bug 1889909 has been marked as a duplicate of this bug. ***

Comment 22 Richard Shaw 2020-12-17 15:53:54 UTC
Abrt says my crash is a duplicate of the duplicate :) 

Fully updated Fedora 33 x86_64

Comment 23 Rogers 2020-12-30 06:16:03 UTC
*** Bug 1911576 has been marked as a duplicate of this bug. ***

Comment 24 guymarshallredhat 2021-01-04 11:20:40 UTC
*** Bug 1912404 has been marked as a duplicate of this bug. ***

Comment 25 deegeesrc 2021-01-11 12:15:11 UTC
*** Bug 1914885 has been marked as a duplicate of this bug. ***

Comment 26 Martin Wolf 2021-01-15 23:35:04 UTC
*** Bug 1916957 has been marked as a duplicate of this bug. ***

Comment 27 choperena97 2021-01-17 21:54:03 UTC
*** Bug 1917178 has been marked as a duplicate of this bug. ***

Comment 28 Ary Sousa 2021-01-19 01:20:02 UTC
*** Bug 1917629 has been marked as a duplicate of this bug. ***

Comment 29 Richard Ryniker 2021-01-23 01:54:50 UTC
Similar problem has been detected:

Tried to put the Terminal application into favorites.

reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-501.slice/user@501.service/app.slice/dbus-:1.2-com.intel.dleyna\x2drenderer@0.service
cmdline:        /usr/libexec/dleyna-renderer-service
crash_function: g_hash_table_hash_to_index
executable:     /usr/libexec/dleyna-renderer-service
journald_cursor: s=d8385949554b4a728644bd18faa97dd6;i=115b;b=ff9fb29110384b19b141943b3ddfbbde;m=28092e68;t=5b98746b37e73;x=72d8a850cd16df41
kernel:         5.10.8-200.fc33.x86_64
package:        dleyna-renderer-0.6.0-10.fc33
reason:         dleyna-renderer-service killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            501

Comment 30 Alexander Grant Perrigo 2021-01-24 02:15:44 UTC
*** Bug 1919607 has been marked as a duplicate of this bug. ***

Comment 31 Balashov Mikhail 2021-01-25 10:30:44 UTC
*** Bug 1919872 has been marked as a duplicate of this bug. ***

Comment 32 Matteo 2021-01-30 16:58:42 UTC
*** Bug 1922634 has been marked as a duplicate of this bug. ***

Comment 33 Vitaliy 2021-03-06 15:22:46 UTC
Similar problem has been detected:

it happened when in the search i'd tried to find sublime(wasn't installed)

reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/dbus-:1.2-com.intel.dleyna\x2drenderer@14.service
cmdline:        /usr/libexec/dleyna-renderer-service
crash_function: g_hash_table_hash_to_index
executable:     /usr/libexec/dleyna-renderer-service
journald_cursor: s=6d5314b88f454ae7b9fb4009147b6107;i=3191d;b=ff8088018cd94583b9b0b8a8a70e0b70;m=216dcd3d02;t=5bcde3618851b;x=78fbfc7e436d1c66
kernel:         5.10.19-200.fc33.x86_64
package:        dleyna-renderer-0.6.0-10.fc33
reason:         dleyna-renderer-service killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 34 vantasticsfe 2021-03-20 05:25:09 UTC
*** Bug 1941121 has been marked as a duplicate of this bug. ***

Comment 35 DACBARBOS Brand 2021-03-27 05:31:25 UTC
*** Bug 1943758 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.